> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/ach/ach-transaction/ach-provider.md).

# ACH Provider

## Get ACH providers

> Retrieve a list of ACH providers and their configuration details.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/providers":{"get":{"tags":["ACH Provider"],"summary":"Get ACH providers","description":"Retrieve a list of ACH providers and their configuration details.","operationId":"getAllProviders","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchProvidersResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchProvidersResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchProvidersResponsePayload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}},"ach-providers":{"$ref":"#/components/schemas/AchProviders"}},"description":"Payload","xml":{"name":"payload"}},"AchProviders":{"type":"object","properties":{"ach-provider":{"type":"array","items":{"$ref":"#/components/schemas/Ach Provider"}}},"xml":{"name":"ach-providers"}},"Ach Provider":{"required":["account-id"],"type":"object","properties":{"account-id":{"type":"string","description":"Unique identifier of the account associated with the ACH provider."},"provider":{"type":"string","description":"The ACH provider name associated with the configuration. Possible values: PAYA, ACHECK21.","enum":["PAYA","ACHECK21"]},"standard-entry-class-code":{"type":"string","description":"The Standard Entry Class (SEC) code supported by the ACH provider. Possible values: PPD, WEB, CCD, C21.","enum":["PPD","WEB","CCD","C21"]},"enabled":{"type":"boolean","description":"Indicates whether the ACH provider is enabled for processing transactions. Set to true if ACH is enabled on account."}},"description":"Details of ACH provider.","xml":{"name":"ach-provider"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Get ACH Paya provider

> Retrieve Paya ACH provider configuration details based on the specified Standard Entry Class (SEC) code.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/provider/paya/{secCode}":{"get":{"tags":["ACH Provider"],"summary":"Get ACH Paya provider","description":"Retrieve Paya ACH provider configuration details based on the specified Standard Entry Class (SEC) code.","operationId":"getPayaBySecCode","parameters":[{"name":"secCode","in":"path","description":"ACH Standard Entry Class (SEC) code identify the Paya provider.","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchProvidersResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchProvidersResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchProvidersResponsePayload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}},"ach-providers":{"$ref":"#/components/schemas/AchProviders"}},"description":"Payload","xml":{"name":"payload"}},"AchProviders":{"type":"object","properties":{"ach-provider":{"type":"array","items":{"$ref":"#/components/schemas/Ach Provider"}}},"xml":{"name":"ach-providers"}},"Ach Provider":{"required":["account-id"],"type":"object","properties":{"account-id":{"type":"string","description":"Unique identifier of the account associated with the ACH provider."},"provider":{"type":"string","description":"The ACH provider name associated with the configuration. Possible values: PAYA, ACHECK21.","enum":["PAYA","ACHECK21"]},"standard-entry-class-code":{"type":"string","description":"The Standard Entry Class (SEC) code supported by the ACH provider. Possible values: PPD, WEB, CCD, C21.","enum":["PPD","WEB","CCD","C21"]},"enabled":{"type":"boolean","description":"Indicates whether the ACH provider is enabled for processing transactions. Set to true if ACH is enabled on account."}},"description":"Details of ACH provider.","xml":{"name":"ach-provider"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/ach/ach-transaction/ach-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
